/*  Jcurzez - A free Java implementation of curses
 *  Copyright (C) 2001, 2006  Thomas G. Girard <thomas.g.girard@free.fr>
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


/* Header for class jcurzez_BoxDrawing */

#ifndef _Included_jcurzez_BoxDrawing
#define _Included_jcurzez_BoxDrawing
#ifdef __cplusplus
extern "C" {
#endif
#undef jcurzez_BoxDrawing_LIGHT_VERTICAL_AND_RIGHT
#define jcurzez_BoxDrawing_LIGHT_VERTICAL_AND_RIGHT 9500L
#undef jcurzez_BoxDrawing_VERTICAL_LIGHT_AND_RIGHT_HEAVY_
#define jcurzez_BoxDrawing_VERTICAL_LIGHT_AND_RIGHT_HEAVY_ 9501L
#undef jcurzez_BoxDrawing_UP_HEAVY_AND_RIGHT_DOWN_LIGHT
#define jcurzez_BoxDrawing_UP_HEAVY_AND_RIGHT_DOWN_LIGHT 9502L
#undef jcurzez_BoxDrawing_DOWN_HEAVY_AND_RIGHT_UP_LIGHT
#define jcurzez_BoxDrawing_DOWN_HEAVY_AND_RIGHT_UP_LIGHT 9503L
#undef jcurzez_BoxDrawing_VERTICAL_HEAVY_AND_RIGHT_LIGHT_
#define jcurzez_BoxDrawing_VERTICAL_HEAVY_AND_RIGHT_LIGHT_ 9504L
#undef jcurzez_BoxDrawing_DOWN_LIGHT_AND_RIGHT_UP_HEAVY
#define jcurzez_BoxDrawing_DOWN_LIGHT_AND_RIGHT_UP_HEAVY 9505L
#undef jcurzez_BoxDrawing_UP_LIGHT_AND_RIGHT_DOWN_HEAVY
#define jcurzez_BoxDrawing_UP_LIGHT_AND_RIGHT_DOWN_HEAVY 9506L
#undef jcurzez_BoxDrawing_HEAVY_VERTICAL_AND_RIGHT
#define jcurzez_BoxDrawing_HEAVY_VERTICAL_AND_RIGHT 9507L
#undef jcurzez_BoxDrawing_LIGHT_VERTICAL_AND_LEFT
#define jcurzez_BoxDrawing_LIGHT_VERTICAL_AND_LEFT 9508L
#undef jcurzez_BoxDrawing_VERTICAL_LIGHT_AND_LEFT_HEAVY
#define jcurzez_BoxDrawing_VERTICAL_LIGHT_AND_LEFT_HEAVY 9509L
#undef jcurzez_BoxDrawing_UP_HEAVY_AND_LEFT_DOWN_LIGHT
#define jcurzez_BoxDrawing_UP_HEAVY_AND_LEFT_DOWN_LIGHT 9510L
#undef jcurzez_BoxDrawing_DOWN_HEAVY_AND_LEFT_UP_LIGHT
#define jcurzez_BoxDrawing_DOWN_HEAVY_AND_LEFT_UP_LIGHT 9511L
#undef jcurzez_BoxDrawing_VERTICAL_HEAVY_AND_LEFT_LIGHT_
#define jcurzez_BoxDrawing_VERTICAL_HEAVY_AND_LEFT_LIGHT_ 9512L
#undef jcurzez_BoxDrawing_DOWN_LIGHT_AND_LEFT_UP_HEAVY
#define jcurzez_BoxDrawing_DOWN_LIGHT_AND_LEFT_UP_HEAVY 9513L
#undef jcurzez_BoxDrawing_UP_LIGHT_AND_LEFT_DOWN_HEAVY
#define jcurzez_BoxDrawing_UP_LIGHT_AND_LEFT_DOWN_HEAVY 9514L
#undef jcurzez_BoxDrawing_HEAVY_VERTICAL_AND_LEFT
#define jcurzez_BoxDrawing_HEAVY_VERTICAL_AND_LEFT 9515L
#undef jcurzez_BoxDrawing_LIGHT_DOWN_AND_HORIZONTAL
#define jcurzez_BoxDrawing_LIGHT_DOWN_AND_HORIZONTAL 9516L
#undef jcurzez_BoxDrawing_LEFT_HEAVY_AND_RIGHT_DOWN_LIGHT
#define jcurzez_BoxDrawing_LEFT_HEAVY_AND_RIGHT_DOWN_LIGHT 9517L
#undef jcurzez_BoxDrawing_RIGHT_HEAVY_AND_LEFT_DOWN_LIGHT
#define jcurzez_BoxDrawing_RIGHT_HEAVY_AND_LEFT_DOWN_LIGHT 9518L
#undef jcurzez_BoxDrawing_DOWN_LIGHT_AND_HORIZONTAL_HEAVY
#define jcurzez_BoxDrawing_DOWN_LIGHT_AND_HORIZONTAL_HEAVY 9519L
#undef jcurzez_BoxDrawing_DOWN_HEAVY_AND_HORIZONTAL_LIGHT
#define jcurzez_BoxDrawing_DOWN_HEAVY_AND_HORIZONTAL_LIGHT 9520L
#undef jcurzez_BoxDrawing_RIGHT_LIGHT_AND_LEFT_DOWN_HEAVY
#define jcurzez_BoxDrawing_RIGHT_LIGHT_AND_LEFT_DOWN_HEAVY 9521L
#undef jcurzez_BoxDrawing_LEFT_LIGHT_AND_RIGHT_DOWN_HEAVY
#define jcurzez_BoxDrawing_LEFT_LIGHT_AND_RIGHT_DOWN_HEAVY 9522L
#undef jcurzez_BoxDrawing_HEAVY_DOWN_AND_HORIZONTAL
#define jcurzez_BoxDrawing_HEAVY_DOWN_AND_HORIZONTAL 9523L
#undef jcurzez_BoxDrawing_LIGHT_UP_AND_HORIZONTAL
#define jcurzez_BoxDrawing_LIGHT_UP_AND_HORIZONTAL 9524L
#undef jcurzez_BoxDrawing_LEFT_HEAVY_AND_RIGHT_UP_LIGHT
#define jcurzez_BoxDrawing_LEFT_HEAVY_AND_RIGHT_UP_LIGHT 9525L
#undef jcurzez_BoxDrawing_LIGHT_HORIZONTAL
#define jcurzez_BoxDrawing_LIGHT_HORIZONTAL 9472L
#undef jcurzez_BoxDrawing_HEAVY_HORIZONTAL
#define jcurzez_BoxDrawing_HEAVY_HORIZONTAL 9473L
#undef jcurzez_BoxDrawing_LIGHT_VERTICAL
#define jcurzez_BoxDrawing_LIGHT_VERTICAL 9474L
#undef jcurzez_BoxDrawing_HEAVY_VERTICAL
#define jcurzez_BoxDrawing_HEAVY_VERTICAL 9475L
#undef jcurzez_BoxDrawing_LIGHT_TRIPLE_DASH_HORIZONTAL
#define jcurzez_BoxDrawing_LIGHT_TRIPLE_DASH_HORIZONTAL 9476L
#undef jcurzez_BoxDrawing_HEAVY_TRIPLE_DASH_HORIZONTAL
#define jcurzez_BoxDrawing_HEAVY_TRIPLE_DASH_HORIZONTAL 9477L
#undef jcurzez_BoxDrawing_LIGHT_TRIPLE_DASH_VERTICAL
#define jcurzez_BoxDrawing_LIGHT_TRIPLE_DASH_VERTICAL 9478L
#undef jcurzez_BoxDrawing_HEAVY_TRIPLE_DASH_VERTICAL
#define jcurzez_BoxDrawing_HEAVY_TRIPLE_DASH_VERTICAL 9479L
#undef jcurzez_BoxDrawing_LIGHT_QUADRUPLE_DASH_HORIZONTAL
#define jcurzez_BoxDrawing_LIGHT_QUADRUPLE_DASH_HORIZONTAL 9480L
#undef jcurzez_BoxDrawing_HEAVY_QUADRUPLE_DASH_HORIZONTAL
#define jcurzez_BoxDrawing_HEAVY_QUADRUPLE_DASH_HORIZONTAL 9481L
#undef jcurzez_BoxDrawing_LIGHT_QUADRUPLE_DASH_VERTICAL
#define jcurzez_BoxDrawing_LIGHT_QUADRUPLE_DASH_VERTICAL 9482L
#undef jcurzez_BoxDrawing_HEAVY_QUADRUPLE_DASH_VERTICAL
#define jcurzez_BoxDrawing_HEAVY_QUADRUPLE_DASH_VERTICAL 9483L
#undef jcurzez_BoxDrawing_LIGHT_DOWN_AND_RIGHT
#define jcurzez_BoxDrawing_LIGHT_DOWN_AND_RIGHT 9484L
#undef jcurzez_BoxDrawing_DOWN_LIGHT_AND_RIGHT_HEAVY
#define jcurzez_BoxDrawing_DOWN_LIGHT_AND_RIGHT_HEAVY 9485L
#undef jcurzez_BoxDrawing_DOWN_HEAVY_AND_RIGHT_LIGHT
#define jcurzez_BoxDrawing_DOWN_HEAVY_AND_RIGHT_LIGHT 9486L
#undef jcurzez_BoxDrawing_HEAVY_DOWN_AND_RIGHT
#define jcurzez_BoxDrawing_HEAVY_DOWN_AND_RIGHT 9487L
#undef jcurzez_BoxDrawing_LIGHT_DOWN_AND_LEFT
#define jcurzez_BoxDrawing_LIGHT_DOWN_AND_LEFT 9488L
#undef jcurzez_BoxDrawing_DOWN_LIGHT_AND_LEFT_HEAVY
#define jcurzez_BoxDrawing_DOWN_LIGHT_AND_LEFT_HEAVY 9489L
#undef jcurzez_BoxDrawing_DOWN_HEAVY_AND_LEFT_LIGHT
#define jcurzez_BoxDrawing_DOWN_HEAVY_AND_LEFT_LIGHT 9490L
#undef jcurzez_BoxDrawing_HEAVY_DOWN_AND_LEFT
#define jcurzez_BoxDrawing_HEAVY_DOWN_AND_LEFT 9491L
#undef jcurzez_BoxDrawing_LIGHT_UP_AND_RIGHT
#define jcurzez_BoxDrawing_LIGHT_UP_AND_RIGHT 9492L
#undef jcurzez_BoxDrawing_UP_LIGHT_AND_RIGHT_HEAVY
#define jcurzez_BoxDrawing_UP_LIGHT_AND_RIGHT_HEAVY 9493L
#undef jcurzez_BoxDrawing_UP_HEAVY_AND_RIGHT_LIGHT
#define jcurzez_BoxDrawing_UP_HEAVY_AND_RIGHT_LIGHT 9494L
#undef jcurzez_BoxDrawing_HEAVY_UP_AND_RIGHT
#define jcurzez_BoxDrawing_HEAVY_UP_AND_RIGHT 9495L
#undef jcurzez_BoxDrawing_LIGHT_UP_AND_LEFT
#define jcurzez_BoxDrawing_LIGHT_UP_AND_LEFT 9496L
#undef jcurzez_BoxDrawing_UP_LIGHT_AND_LEFT_HEAVY
#define jcurzez_BoxDrawing_UP_LIGHT_AND_LEFT_HEAVY 9497L
#undef jcurzez_BoxDrawing_UP_HEAVY_AND_LEFT_LIGHT
#define jcurzez_BoxDrawing_UP_HEAVY_AND_LEFT_LIGHT 9498L
#undef jcurzez_BoxDrawing_HEAVY_UP_AND_LEFT
#define jcurzez_BoxDrawing_HEAVY_UP_AND_LEFT 9499L
#undef jcurzez_BoxDrawing_DOWN_SINGLE_AND_RIGHT_DOUBLE
#define jcurzez_BoxDrawing_DOWN_SINGLE_AND_RIGHT_DOUBLE 9554L
#undef jcurzez_BoxDrawing_DOWN_DOUBLE_AND_RIGHT_SINGLE
#define jcurzez_BoxDrawing_DOWN_DOUBLE_AND_RIGHT_SINGLE 9555L
#undef jcurzez_BoxDrawing_DOUBLE_DOWN_AND_RIGHT
#define jcurzez_BoxDrawing_DOUBLE_DOWN_AND_RIGHT 9556L
#undef jcurzez_BoxDrawing_DOWN_SINGLE_AND_LEFT_DOUBLE
#define jcurzez_BoxDrawing_DOWN_SINGLE_AND_LEFT_DOUBLE 9557L
#undef jcurzez_BoxDrawing_DOWN_DOUBLE_AND_LEFT_SINGLE
#define jcurzez_BoxDrawing_DOWN_DOUBLE_AND_LEFT_SINGLE 9558L
#undef jcurzez_BoxDrawing_DOUBLE_DOWN_AND_LEFT
#define jcurzez_BoxDrawing_DOUBLE_DOWN_AND_LEFT 9559L
#undef jcurzez_BoxDrawing_UP_SINGLE_AND_RIGHT_DOUBLE
#define jcurzez_BoxDrawing_UP_SINGLE_AND_RIGHT_DOUBLE 9560L
#undef jcurzez_BoxDrawing_UP_DOUBLE_AND_RIGHT_SINGLE
#define jcurzez_BoxDrawing_UP_DOUBLE_AND_RIGHT_SINGLE 9561L
#undef jcurzez_BoxDrawing_DOUBLE_UP_AND_RIGHT
#define jcurzez_BoxDrawing_DOUBLE_UP_AND_RIGHT 9562L
#undef jcurzez_BoxDrawing_UP_SINGLE_AND_LEFT_DOUBLE
#define jcurzez_BoxDrawing_UP_SINGLE_AND_LEFT_DOUBLE 9563L
#undef jcurzez_BoxDrawing_UP_DOUBLE_AND_LEFT_SINGLE
#define jcurzez_BoxDrawing_UP_DOUBLE_AND_LEFT_SINGLE 9564L
#undef jcurzez_BoxDrawing_DOUBLE_UP_AND_LEFT
#define jcurzez_BoxDrawing_DOUBLE_UP_AND_LEFT 9565L
#undef jcurzez_BoxDrawing_VERTICAL_SINGLE_AND_RIGHT_DOUBLE
#define jcurzez_BoxDrawing_VERTICAL_SINGLE_AND_RIGHT_DOUBLE 9566L
#undef jcurzez_BoxDrawing_VERTICAL_DOUBLE_AND_RIGHT_SINGLE
#define jcurzez_BoxDrawing_VERTICAL_DOUBLE_AND_RIGHT_SINGLE 9567L
#undef jcurzez_BoxDrawing_DOUBLE_VERTICAL_AND_RIGHT
#define jcurzez_BoxDrawing_DOUBLE_VERTICAL_AND_RIGHT 9568L
#undef jcurzez_BoxDrawing_VERTICAL_SINGLE_AND_LEFT_DOUBLE
#define jcurzez_BoxDrawing_VERTICAL_SINGLE_AND_LEFT_DOUBLE 9569L
#undef jcurzez_BoxDrawing_VERTICAL_DOUBLE_AND_LEFT_SINGLE
#define jcurzez_BoxDrawing_VERTICAL_DOUBLE_AND_LEFT_SINGLE 9570L
#undef jcurzez_BoxDrawing_DOUBLE_VERTICAL_AND_LEFT
#define jcurzez_BoxDrawing_DOUBLE_VERTICAL_AND_LEFT 9571L
#undef jcurzez_BoxDrawing_DOWN_SINGLE_AND_HORIZONTAL_DOUBLE
#define jcurzez_BoxDrawing_DOWN_SINGLE_AND_HORIZONTAL_DOUBLE 9572L
#undef jcurzez_BoxDrawing_DOWN_DOUBLE_AND_HORIZONTAL_SINGLE
#define jcurzez_BoxDrawing_DOWN_DOUBLE_AND_HORIZONTAL_SINGLE 9573L
#undef jcurzez_BoxDrawing_DOUBLE_DOWN_AND_HORIZONTAL
#define jcurzez_BoxDrawing_DOUBLE_DOWN_AND_HORIZONTAL 9574L
#undef jcurzez_BoxDrawing_UP_SINGLE_AND_HORIZONTAL_DOUBLE
#define jcurzez_BoxDrawing_UP_SINGLE_AND_HORIZONTAL_DOUBLE 9575L
#undef jcurzez_BoxDrawing_UP_DOUBLE_AND_HORIZONTAL_SINGLE
#define jcurzez_BoxDrawing_UP_DOUBLE_AND_HORIZONTAL_SINGLE 9576L
#undef jcurzez_BoxDrawing_DOUBLE_UP_AND_HORIZONTAL
#define jcurzez_BoxDrawing_DOUBLE_UP_AND_HORIZONTAL 9577L
#undef jcurzez_BoxDrawing_VERTICAL_SINGLE_AND_HORIZONTAL_DOUBLE
#define jcurzez_BoxDrawing_VERTICAL_SINGLE_AND_HORIZONTAL_DOUBLE 9578L
#undef jcurzez_BoxDrawing_VERTICAL_DOUBLE_AND_HORIZONTAL_SINGLE
#define jcurzez_BoxDrawing_VERTICAL_DOUBLE_AND_HORIZONTAL_SINGLE 9579L
#undef jcurzez_BoxDrawing_DOUBLE_VERTICAL_AND_HORIZONTAL
#define jcurzez_BoxDrawing_DOUBLE_VERTICAL_AND_HORIZONTAL 9580L
#undef jcurzez_BoxDrawing_LIGHT_ARC_DOWN_AND_RIGHT
#define jcurzez_BoxDrawing_LIGHT_ARC_DOWN_AND_RIGHT 9581L
#undef jcurzez_BoxDrawing_LIGHT_ARC_DOWN_AND_LEFT
#define jcurzez_BoxDrawing_LIGHT_ARC_DOWN_AND_LEFT 9582L
#undef jcurzez_BoxDrawing_RIGHT_HEAVY_AND_LEFT_UP_LIGHT
#define jcurzez_BoxDrawing_RIGHT_HEAVY_AND_LEFT_UP_LIGHT 9526L
#undef jcurzez_BoxDrawing_UP_LIGHT_AND_HORIZONTAL_HEAVY
#define jcurzez_BoxDrawing_UP_LIGHT_AND_HORIZONTAL_HEAVY 9527L
#undef jcurzez_BoxDrawing_UP_HEAVY_AND_HORIZONTAL_LIGHT
#define jcurzez_BoxDrawing_UP_HEAVY_AND_HORIZONTAL_LIGHT 9528L
#undef jcurzez_BoxDrawing_RIGHT_LIGHT_AND_LEFT_UP_HEAVY
#define jcurzez_BoxDrawing_RIGHT_LIGHT_AND_LEFT_UP_HEAVY 9529L
#undef jcurzez_BoxDrawing_LEFT_LIGHT_AND_RIGHT_UP_HEAVY
#define jcurzez_BoxDrawing_LEFT_LIGHT_AND_RIGHT_UP_HEAVY 9530L
#undef jcurzez_BoxDrawing_HEAVY_UP_AND_HORIZONTAL
#define jcurzez_BoxDrawing_HEAVY_UP_AND_HORIZONTAL 9531L
#undef jcurzez_BoxDrawing_LIGHT_VERTICAL_AND_HORIZONTAL
#define jcurzez_BoxDrawing_LIGHT_VERTICAL_AND_HORIZONTAL 9532L
#undef jcurzez_BoxDrawing_LEFT_HEAVY_AND_RIGHT_VERTICAL_LIGHT
#define jcurzez_BoxDrawing_LEFT_HEAVY_AND_RIGHT_VERTICAL_LIGHT 9533L
#undef jcurzez_BoxDrawing_RIGHT_HEAVY_AND_LEFT_VERTICAL_LIGHT
#define jcurzez_BoxDrawing_RIGHT_HEAVY_AND_LEFT_VERTICAL_LIGHT 9534L
#undef jcurzez_BoxDrawing_VERTICAL_LIGHT_AND_HORIZONTAL_HEAVY
#define jcurzez_BoxDrawing_VERTICAL_LIGHT_AND_HORIZONTAL_HEAVY 9535L
#undef jcurzez_BoxDrawing_UP_HEAVY_AND_DOWN_HORIZONTAL_LIGHT
#define jcurzez_BoxDrawing_UP_HEAVY_AND_DOWN_HORIZONTAL_LIGHT 9536L
#undef jcurzez_BoxDrawing_DOWN_HEAVY_AND_UP_HORIZONTAL_LIGHT
#define jcurzez_BoxDrawing_DOWN_HEAVY_AND_UP_HORIZONTAL_LIGHT 9537L
#undef jcurzez_BoxDrawing_VERTICAL_HEAVY_AND_HORIZONTAL_LIGHT
#define jcurzez_BoxDrawing_VERTICAL_HEAVY_AND_HORIZONTAL_LIGHT 9538L
#undef jcurzez_BoxDrawing_LEFT_UP_HEAVY_AND_RIGHT_DOWN_LIGHT
#define jcurzez_BoxDrawing_LEFT_UP_HEAVY_AND_RIGHT_DOWN_LIGHT 9539L
#undef jcurzez_BoxDrawing_RIGHT_UP_HEAVY_AND_LEFT_DOWN_LIGHT
#define jcurzez_BoxDrawing_RIGHT_UP_HEAVY_AND_LEFT_DOWN_LIGHT 9540L
#undef jcurzez_BoxDrawing_LEFT_DOWN_HEAVY_AND_RIGHT_UP_LIGHT
#define jcurzez_BoxDrawing_LEFT_DOWN_HEAVY_AND_RIGHT_UP_LIGHT 9541L
#undef jcurzez_BoxDrawing_RIGHT_DOWN_HEAVY_AND_LEFT_UP_LIGHT
#define jcurzez_BoxDrawing_RIGHT_DOWN_HEAVY_AND_LEFT_UP_LIGHT 9542L
#undef jcurzez_BoxDrawing_DOWN_LIGHT_AND_UP_HORIZONTAL_HEAVY
#define jcurzez_BoxDrawing_DOWN_LIGHT_AND_UP_HORIZONTAL_HEAVY 9543L
#undef jcurzez_BoxDrawing_UP_LIGHT_AND_DOWN_HORIZONTAL_HEAVY
#define jcurzez_BoxDrawing_UP_LIGHT_AND_DOWN_HORIZONTAL_HEAVY 9544L
#undef jcurzez_BoxDrawing_RIGHT_LIGHT_AND_LEFT_VERTICAL_HEAVY
#define jcurzez_BoxDrawing_RIGHT_LIGHT_AND_LEFT_VERTICAL_HEAVY 9545L
#undef jcurzez_BoxDrawing_LEFT_LIGHT_AND_RIGHT_VERTICAL_HEAVY
#define jcurzez_BoxDrawing_LEFT_LIGHT_AND_RIGHT_VERTICAL_HEAVY 9546L
#undef jcurzez_BoxDrawing_HEAVY_VERTICAL_AND_HORIZONTAL
#define jcurzez_BoxDrawing_HEAVY_VERTICAL_AND_HORIZONTAL 9547L
#undef jcurzez_BoxDrawing_LIGHT_DOUBLE_DASH_HORIZONTAL
#define jcurzez_BoxDrawing_LIGHT_DOUBLE_DASH_HORIZONTAL 9548L
#undef jcurzez_BoxDrawing_HEAVY_DOUBLE_DASH_HORIZONTAL
#define jcurzez_BoxDrawing_HEAVY_DOUBLE_DASH_HORIZONTAL 9549L
#undef jcurzez_BoxDrawing_LIGHT_DOUBLE_DASH_VERTICAL
#define jcurzez_BoxDrawing_LIGHT_DOUBLE_DASH_VERTICAL 9550L
#undef jcurzez_BoxDrawing_HEAVY_DOUBLE_DASH_VERTICAL
#define jcurzez_BoxDrawing_HEAVY_DOUBLE_DASH_VERTICAL 9551L
#undef jcurzez_BoxDrawing_DOUBLE_HORIZONTAL
#define jcurzez_BoxDrawing_DOUBLE_HORIZONTAL 9552L
#undef jcurzez_BoxDrawing_DOUBLE_VERTICAL
#define jcurzez_BoxDrawing_DOUBLE_VERTICAL 9553L
#undef jcurzez_BoxDrawing_LIGHT_ARC_UP_AND_LEFT
#define jcurzez_BoxDrawing_LIGHT_ARC_UP_AND_LEFT 9583L
#undef jcurzez_BoxDrawing_LIGHT_ARC_UP_AND_RIGHT
#define jcurzez_BoxDrawing_LIGHT_ARC_UP_AND_RIGHT 9584L
#undef jcurzez_BoxDrawing_LIGHT_DIAGONAL_UPPER_RIGHT_TO_LOWER_LEFT
#define jcurzez_BoxDrawing_LIGHT_DIAGONAL_UPPER_RIGHT_TO_LOWER_LEFT 9585L
#undef jcurzez_BoxDrawing_LIGHT_DIAGONAL_UPPER_LEFT_TO_LOWER_RIGHT
#define jcurzez_BoxDrawing_LIGHT_DIAGONAL_UPPER_LEFT_TO_LOWER_RIGHT 9586L
#undef jcurzez_BoxDrawing_LIGHT_DIAGONAL_CROSS
#define jcurzez_BoxDrawing_LIGHT_DIAGONAL_CROSS 9587L
#undef jcurzez_BoxDrawing_LIGHT_LEFT
#define jcurzez_BoxDrawing_LIGHT_LEFT 9588L
#undef jcurzez_BoxDrawing_LIGHT_UP
#define jcurzez_BoxDrawing_LIGHT_UP 9589L
#undef jcurzez_BoxDrawing_LIGHT_RIGHT
#define jcurzez_BoxDrawing_LIGHT_RIGHT 9590L
#undef jcurzez_BoxDrawing_LIGHT_DOWN
#define jcurzez_BoxDrawing_LIGHT_DOWN 9591L
#undef jcurzez_BoxDrawing_HEAVY_LEFT
#define jcurzez_BoxDrawing_HEAVY_LEFT 9592L
#undef jcurzez_BoxDrawing_HEAVY_UP
#define jcurzez_BoxDrawing_HEAVY_UP 9593L
#undef jcurzez_BoxDrawing_HEAVY_RIGHT
#define jcurzez_BoxDrawing_HEAVY_RIGHT 9594L
#undef jcurzez_BoxDrawing_HEAVY_DOWN
#define jcurzez_BoxDrawing_HEAVY_DOWN 9595L
#undef jcurzez_BoxDrawing_LIGHT_LEFT_AND_HEAVY_RIGHT
#define jcurzez_BoxDrawing_LIGHT_LEFT_AND_HEAVY_RIGHT 9596L
#undef jcurzez_BoxDrawing_LIGHT_UP_AND_HEAVY_DOWN
#define jcurzez_BoxDrawing_LIGHT_UP_AND_HEAVY_DOWN 9597L
#undef jcurzez_BoxDrawing_HEAVY_LEFT_AND_LIGHT_RIGHT
#define jcurzez_BoxDrawing_HEAVY_LEFT_AND_LIGHT_RIGHT 9598L
#undef jcurzez_BoxDrawing_HEAVY_UP_AND_LIGHT_DOWN
#define jcurzez_BoxDrawing_HEAVY_UP_AND_LIGHT_DOWN 9599L
#ifdef __cplusplus
}
#endif
#endif
